import request from "@/utils/request";

// 专家想合作企业列表
export const expertWantEnterpriseList = (params) => {
    return request({
        url: `/app/expert/expertWantEnterpriseList`,
        method: "GET",
        params
    });
};
// 新增想合作企业
export const insertExpertWantEnterprise = (data) => {
    return request({
        url: `/app/expert/insertExpertWantEnterprise`,
        method: "POST",
        data
    });
};
// 修改想合作企业
export const updateExpertWantEnterprise = (data) => {
    return request({
        url: `/app/expert/updateExpertWantEnterprise`,
        method: "PUT",
        data
    });
};
// 删除想合作企业
export const deleteExpertWantEnterpriseByIds = (data) => {
    return request({
        url: `/app/expert/deleteExpertWantEnterpriseByIds`,
        method: "DELETE",
        data
    });
};


// 专家服务需求列表
export const demandList = (params) => {
    return request({
        url: `/app/expert/demandList`,
        method: "GET",
        params
    });
};
// 新增服务需求
export const insertDemand = (data) => {
    return request({
        url: `/app/expert/insertDemand`,
        method: "POST",
        data
    });
};